<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_contribuicoes = array();
	$tdatasenuc_contribuicoes[".NumberOfChars"] = 80; 
	$tdatasenuc_contribuicoes[".ShortName"] = "senuc_contribuicoes";
	$tdatasenuc_contribuicoes[".OwnerID"] = "id_nucleo";
	$tdatasenuc_contribuicoes[".OriginalTable"] = "senuc_contribuicoes";

//	field labels
$fieldLabelssenuc_contribuicoes = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["id_aluno"] = "Aluno";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["id_aluno"] = "";
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["valor"] = "Valor";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["valor"] = "";
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["operador"] = "Operador";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["operador"] = "";
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["id_nucleo"] = "Nucleo";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["id_nucleo"] = "";
	$fieldLabelssenuc_contribuicoes["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]["data"] = "";
	if (count($fieldToolTipssenuc_contribuicoes["Portuguese(Brazil)"]))
		$tdatasenuc_contribuicoes[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_contribuicoes[".NCSearch"] = true;



$tdatasenuc_contribuicoes[".shortTableName"] = "senuc_contribuicoes";
$tdatasenuc_contribuicoes[".nSecOptions"] = 1;
$tdatasenuc_contribuicoes[".recsPerRowList"] = 1;
$tdatasenuc_contribuicoes[".mainTableOwnerID"] = "id_nucleo";
$tdatasenuc_contribuicoes[".moveNext"] = 1;
$tdatasenuc_contribuicoes[".nType"] = 0;

$tdatasenuc_contribuicoes[".strOriginalTableName"] = "senuc_contribuicoes";




$tdatasenuc_contribuicoes[".showAddInPopup"] = true;

$tdatasenuc_contribuicoes[".showEditInPopup"] = true;

$tdatasenuc_contribuicoes[".showViewInPopup"] = true;

$tdatasenuc_contribuicoes[".fieldsForRegister"] = array();

$tdatasenuc_contribuicoes[".listAjax"] = false;

	$tdatasenuc_contribuicoes[".audit"] = false;

	$tdatasenuc_contribuicoes[".locking"] = false;

$tdatasenuc_contribuicoes[".listIcons"] = true;
$tdatasenuc_contribuicoes[".edit"] = true;
$tdatasenuc_contribuicoes[".view"] = true;

$tdatasenuc_contribuicoes[".exportTo"] = true;

$tdatasenuc_contribuicoes[".printFriendly"] = true;


$tdatasenuc_contribuicoes[".showSimpleSearchOptions"] = false;

$tdatasenuc_contribuicoes[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_contribuicoes[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_contribuicoes[".isUseAjaxSuggest"] = true;

$tdatasenuc_contribuicoes[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_contribuicoes[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_contribuicoes[".isUseTimeForSearch"] = false;




$tdatasenuc_contribuicoes[".allSearchFields"] = array();

$tdatasenuc_contribuicoes[".allSearchFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".allSearchFields"][] = "mes";
$tdatasenuc_contribuicoes[".allSearchFields"][] = "ano";
$tdatasenuc_contribuicoes[".allSearchFields"][] = "valor";
$tdatasenuc_contribuicoes[".allSearchFields"][] = "operador";
$tdatasenuc_contribuicoes[".allSearchFields"][] = "data";

$tdatasenuc_contribuicoes[".googleLikeFields"][] = "id";
$tdatasenuc_contribuicoes[".googleLikeFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".googleLikeFields"][] = "mes";
$tdatasenuc_contribuicoes[".googleLikeFields"][] = "ano";
$tdatasenuc_contribuicoes[".googleLikeFields"][] = "valor";
$tdatasenuc_contribuicoes[".googleLikeFields"][] = "operador";
$tdatasenuc_contribuicoes[".googleLikeFields"][] = "id_nucleo";
$tdatasenuc_contribuicoes[".googleLikeFields"][] = "data";


$tdatasenuc_contribuicoes[".advSearchFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".advSearchFields"][] = "mes";
$tdatasenuc_contribuicoes[".advSearchFields"][] = "ano";
$tdatasenuc_contribuicoes[".advSearchFields"][] = "valor";
$tdatasenuc_contribuicoes[".advSearchFields"][] = "operador";
$tdatasenuc_contribuicoes[".advSearchFields"][] = "data";

$tdatasenuc_contribuicoes[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_contribuicoes[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY ano, mes DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_contribuicoes[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_contribuicoes[".orderindexes"] = array();
$tdatasenuc_contribuicoes[".orderindexes"][] = array(4, (1 ? "ASC" : "DESC"), "ano");
$tdatasenuc_contribuicoes[".orderindexes"][] = array(3, (0 ? "ASC" : "DESC"), "mes");

$tdatasenuc_contribuicoes[".sqlHead"] = "SELECT id,  id_aluno,  mes,  ano,  valor,  operador,  id_nucleo,  `data`";
$tdatasenuc_contribuicoes[".sqlFrom"] = "FROM senuc_contribuicoes";
$tdatasenuc_contribuicoes[".sqlWhereExpr"] = "";
$tdatasenuc_contribuicoes[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_contribuicoes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_contribuicoes[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_contribuicoes = array();
$tableKeyssenuc_contribuicoes[] = "id";
$tdatasenuc_contribuicoes[".Keys"] = $tableKeyssenuc_contribuicoes;

$tdatasenuc_contribuicoes[".listFields"] = array();
$tdatasenuc_contribuicoes[".listFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".listFields"][] = "mes";
$tdatasenuc_contribuicoes[".listFields"][] = "ano";
$tdatasenuc_contribuicoes[".listFields"][] = "valor";
$tdatasenuc_contribuicoes[".listFields"][] = "operador";
$tdatasenuc_contribuicoes[".listFields"][] = "data";

$tdatasenuc_contribuicoes[".viewFields"] = array();
$tdatasenuc_contribuicoes[".viewFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".viewFields"][] = "mes";
$tdatasenuc_contribuicoes[".viewFields"][] = "ano";
$tdatasenuc_contribuicoes[".viewFields"][] = "valor";
$tdatasenuc_contribuicoes[".viewFields"][] = "operador";
$tdatasenuc_contribuicoes[".viewFields"][] = "data";

$tdatasenuc_contribuicoes[".addFields"] = array();
$tdatasenuc_contribuicoes[".addFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".addFields"][] = "mes";
$tdatasenuc_contribuicoes[".addFields"][] = "ano";
$tdatasenuc_contribuicoes[".addFields"][] = "valor";

$tdatasenuc_contribuicoes[".inlineAddFields"] = array();

$tdatasenuc_contribuicoes[".editFields"] = array();
$tdatasenuc_contribuicoes[".editFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".editFields"][] = "mes";
$tdatasenuc_contribuicoes[".editFields"][] = "ano";
$tdatasenuc_contribuicoes[".editFields"][] = "valor";

$tdatasenuc_contribuicoes[".inlineEditFields"] = array();

$tdatasenuc_contribuicoes[".exportFields"] = array();
$tdatasenuc_contribuicoes[".exportFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".exportFields"][] = "mes";
$tdatasenuc_contribuicoes[".exportFields"][] = "ano";
$tdatasenuc_contribuicoes[".exportFields"][] = "valor";
$tdatasenuc_contribuicoes[".exportFields"][] = "operador";
$tdatasenuc_contribuicoes[".exportFields"][] = "data";

$tdatasenuc_contribuicoes[".printFields"] = array();
$tdatasenuc_contribuicoes[".printFields"][] = "id_aluno";
$tdatasenuc_contribuicoes[".printFields"][] = "mes";
$tdatasenuc_contribuicoes[".printFields"][] = "ano";
$tdatasenuc_contribuicoes[".printFields"][] = "valor";
$tdatasenuc_contribuicoes[".printFields"][] = "operador";
$tdatasenuc_contribuicoes[".printFields"][] = "data";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["id"] = $fdata;
//	id_aluno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_aluno";
	$fdata["GoodName"] = "id_aluno";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Aluno"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_aluno"; 
		$fdata["FullName"] = "id_aluno";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_aluno";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		$edata["FastType"] = true; 
	
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		$edata["inputStyle"] = " width:255px;";
	$edata["controlWidth"] = 255;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["id_aluno"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
					$edata["LookupType"] = 0;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
		
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "1";
	$edata["LookupValues"][] = "2";
	$edata["LookupValues"][] = "3";
	$edata["LookupValues"][] = "4";
	$edata["LookupValues"][] = "5";
	$edata["LookupValues"][] = "6";
	$edata["LookupValues"][] = "7";
	$edata["LookupValues"][] = "8";
	$edata["LookupValues"][] = "9";
	$edata["LookupValues"][] = "10";
	$edata["LookupValues"][] = "11";
	$edata["LookupValues"][] = "12";

	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["mes"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["ano"] = $fdata;
//	valor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "valor";
	$fdata["GoodName"] = "valor";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Valor"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "valor"; 
		$fdata["FullName"] = "valor";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["valor"] = $fdata;
//	operador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "operador";
	$fdata["GoodName"] = "operador";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Operador"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operador"; 
		$fdata["FullName"] = "operador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		$edata["AutoUpdate"] = true; 
	
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "username";
	
		
	$edata["LookupTable"] = "senuc_login";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		$edata["FastType"] = true; 
	
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["operador"] = $fdata;
//	id_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "id_nucleo";
	$fdata["GoodName"] = "id_nucleo";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Nucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id_nucleo"; 
		$fdata["FullName"] = "id_nucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["id_nucleo"] = $fdata;
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "senuc_contribuicoes";
	$fdata["Label"] = "Data"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data"; 
		$fdata["FullName"] = "`data`";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_contribuicoes["data"] = $fdata;

	
$tables_data["senuc_contribuicoes"]=&$tdatasenuc_contribuicoes;
$field_labels["senuc_contribuicoes"] = &$fieldLabelssenuc_contribuicoes;
$fieldToolTips["senuc_contribuicoes"] = &$fieldToolTipssenuc_contribuicoes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_contribuicoes"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_contribuicoes"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_aluno";
	$masterParams["mDataSourceTable"]="senuc_aluno";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_aluno";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_contribuicoes"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_contribuicoes"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_contribuicoes"][$mIndex]["detailKeys"][]="id_aluno";

$mIndex = 2-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="senuc_nucleo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_nucleo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_contribuicoes"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_contribuicoes"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_contribuicoes"][$mIndex]["detailKeys"][]="id_nucleo";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_contribuicoes()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  id_aluno,  mes,  ano,  valor,  operador,  id_nucleo,  `data`";
$proto0["m_strFrom"] = "FROM senuc_contribuicoes";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ano, mes DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_contribuicoes"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "id_aluno",
	"m_strTable" => "senuc_contribuicoes"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_contribuicoes"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_contribuicoes"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "valor",
	"m_strTable" => "senuc_contribuicoes"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "operador",
	"m_strTable" => "senuc_contribuicoes"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "id_nucleo",
	"m_strTable" => "senuc_contribuicoes"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "senuc_contribuicoes"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "senuc_contribuicoes";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "id";
$proto22["m_columns"][] = "id_aluno";
$proto22["m_columns"][] = "mes";
$proto22["m_columns"][] = "ano";
$proto22["m_columns"][] = "valor";
$proto22["m_columns"][] = "operador";
$proto22["m_columns"][] = "data";
$proto22["m_columns"][] = "id_nucleo";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_alias"] = "";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = "0";
$proto23["m_inBrackets"] = "0";
$proto23["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto25=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_contribuicoes"
));

$proto25["m_column"]=$obj;
$proto25["m_bAsc"] = 1;
$proto25["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto25);

$proto0["m_orderby"][]=$obj;					
												$proto27=array();
						$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_contribuicoes"
));

$proto27["m_column"]=$obj;
$proto27["m_bAsc"] = 0;
$proto27["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto27);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_contribuicoes = createSqlQuery_senuc_contribuicoes();
								$tdatasenuc_contribuicoes[".sqlquery"] = $queryData_senuc_contribuicoes;
	
if(isset($tdatasenuc_contribuicoes["field2"])){
	$tdatasenuc_contribuicoes["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_contribuicoes["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_contribuicoes["field2"]["LookupType"] = 4;
	$tdatasenuc_contribuicoes["field2"]["LinkField"] = "email";
	$tdatasenuc_contribuicoes["field2"]["DisplayField"] = "name";
	$tdatasenuc_contribuicoes[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_contribuicoes_events.php"));
$tableEvents["senuc_contribuicoes"] = new eventclass_senuc_contribuicoes;
$tdatasenuc_contribuicoes[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_contribuicoes");

?>